org.bouncycastle.asn1

## Class DERExternalParser

- java.lang.Object
- - org.bouncycastle.asn1.DERExternalParser

All Implemented Interfaces:
  DEREncodable

    public class DERExternalParser
    extends java.lang.Object
    implements DEREncodable

### Constructor Summary

Constructors
Constructor and Description
`DERExternalParser(ASN1StreamParser parser)`

### Method Summary

Methods
`DERObject` `getDERObject()`
`DEREncodable` `readObject()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DERExternalParser

    public DERExternalParser(ASN1StreamParser parser)

### Method Detail

#### readObject

    public DEREncodable readObject()
                            throws java.io.IOException

Throws:
  `java.io.IOException`

#### getDERObject

    public DERObject getDERObject()

Specified by:
  `getDERObject` in interface `DEREncodable`